/* ----------------------------------------------------------------------------
 * Copyright (c) 2016-2017 Semiconductor Components Industries, LLC (d/b/a
 * ON Semiconductor), All Rights Reserved
 *
 * This code is the property of ON Semiconductor and may not be redistributed
 * in any form without prior written permission from ON Semiconductor.
 * The terms of use and warranty for this code are covered by contractual
 * agreements between ON Semiconductor and the licensee.
 *
 * This is Reusable Code.
 *
 * ----------------------------------------------------------------------------
 * rsl10_lpdsp32_map.h
 * -  LPDSP32 Memory Map
 * ----------------------------------------------------------------------------
 * $Revision: 1.4 $
 * $Date: 2017/05/25 21:02:51 $
 * ------------------------------------------------------------------------- */
 
#ifndef RSL10_LPDSP32_MAP_H
#define RSL10_LPDSP32_MAP_H

#ifdef __cplusplus
 extern "C" {
#endif

/* ----------------------------------------------------------------------------
 * DSP PRAM 0 (Instr) : 10 kBytes
 * ------------------------------------------------------------------------- */
#define DSP_PRAM0_BASE                  0x000000
#define DSP_PRAM0_TOP                   0x000FFF
#define DSP_PRAM0_SIZE                  (DSP_PRAM0_TOP - DSP_PRAM0_BASE + 0x1)


/* ----------------------------------------------------------------------------
 * DSP PRAM 1 (Instr) : 10 kBytes
 * ------------------------------------------------------------------------- */
#define DSP_PRAM1_BASE                  0x001000
#define DSP_PRAM1_TOP                   0x001FFF
#define DSP_PRAM1_SIZE                  (DSP_PRAM1_TOP - DSP_PRAM1_BASE + 0x1)


/* ----------------------------------------------------------------------------
 * DSP PRAM 2 (Instr) : 10 kBytes
 * ------------------------------------------------------------------------- */
#define DSP_PRAM2_BASE                  0x002000
#define DSP_PRAM2_TOP                   0x002FFF
#define DSP_PRAM2_SIZE                  (DSP_PRAM2_TOP - DSP_PRAM2_BASE + 0x1)

/* ----------------------------------------------------------------------------
 * DSP PRAM 3 (Instr) : 10 kBytes
 * ------------------------------------------------------------------------- */
#define DSP_PRAM3_BASE                  0x003000
#define DSP_PRAM3_TOP                   0x003FFF
#define DSP_PRAM3_SIZE                  (DSP_PRAM3_TOP - DSP_PRAM3_BASE + 0x1)

/* ----------------------------------------------------------------------------
 * DMA DSP Data RAM 0/1 : 16 kBytes
 * ------------------------------------------------------------------------- */
#define DSP_DRAM01_BASE                 0x000000
#define DSP_DRAM01_TOP                  0x003FFF
#define DSP_DRAM01_SIZE                 (DSP_DRAM01_TOP - DSP_DRAM01_BASE + 0x1)

/* ----------------------------------------------------------------------------
 * DMA DSP Data RAM 2/3 : 16 kBytes
 * ------------------------------------------------------------------------- */
#define DSP_DRAM23_BASE                 0x004000
#define DSP_DRAM23_TOP                  0x007FFF
#define DSP_DRAM23_SIZE                 (DSP_DRAM23_TOP - DSP_DRAM23_BASE + 0x1)

/* ----------------------------------------------------------------------------
 * DMA DSP Data RAM 4/5 : 16 kBytes
 * ------------------------------------------------------------------------- */
#define DSP_DRAM45_BASE                 0x008000
#define DSP_DRAM45_TOP                  0x00BFFF
#define DSP_DRAM45_SIZE                 (DSP_DRAM45_TOP - DSP_DRAM45_BASE + 0x1)

/* ----------------------------------------------------------------------------
 * DMA DSP Data RAM 1/2 : 16 kBytes
 * ------------------------------------------------------------------------- */
#define DRAM12_BASE                     0x00C000
#define DRAM12_TOP                      0x00FFFF
#define DRAM12_SIZE                     (DRAM12_TOP - DRAM12_BASE + 0x1)

/* ----------------------------------------------------------------------------
 * DSP Data RAM 4 :  8 kBytes
 * ------------------------------------------------------------------------- */
#define DSP_DRAM4_BASE                  0x800000
#define DSP_DRAM4_TOP                   0x801FFF
#define DSP_DRAM4_SIZE                  (DSP_DRAM4_TOP - DSP_DRAM4_BASE + 0x1)

/* ----------------------------------------------------------------------------
 * DSP Data RAM 5 :  8 kBytes
 * ------------------------------------------------------------------------- */
#define DSP_DRAM5_BASE                  0x802000
#define DSP_DRAM5_TOP                   0x803FFF
#define DSP_DRAM5_SIZE                  (DSP_DRAM5_TOP - DSP_DRAM5_BASE + 0x1)

/* ----------------------------------------------------------------------------
 * DSP Data RAM 1 :  8 kBytes
 * ------------------------------------------------------------------------- */
#define DRAM1_BASE                      0x804000
#define DRAM1_TOP                       0x805FFF
#define DRAM1_SIZE                      (DRAM1_TOP - DRAM1_BASE + 0x1)

/* ----------------------------------------------------------------------------
 * DSP Data RAM 2 :  8 kBytes
 * ------------------------------------------------------------------------- */
#define DRAM2_BASE                      0x806000
#define DRAM2_TOP                       0x807FFF
#define DRAM2_SIZE                      (DRAM2_TOP - DRAM2_BASE + 0x1)

#ifdef __cplusplus
}
#endif

#endif /* RSL10_LPDSP32_MAP_H */
